# TransactionRequest

{% hint style="info" %}
An object describing a transaction that can be signed by a library like [ethers.js](https://docs.ethers.io/v5/), [Web3.js](https://web3js.readthedocs.io/en/1.0/), or sent via [JSON-RPC](https://eips.ethereum.org/EIPS/eip-1474).
{% endhint %}

## Properties

| Name                   | Type                   | Description                                                                                  |
| ---------------------- | ---------------------- | -------------------------------------------------------------------------------------------- |
| `children`             | `TransactionRequest[]` | List of the next transactions in the path.                                                   |
| `descriptionAnnotated` | `Annotation[]`         | List of the Radspec description bindings with the properties `{ type: string, value: any }`. |
| `description`          | `string`               | Radspec description for the transaction.                                                     |
| `data`                 | `String`               | Transaction data.                                                                            |
| `from`                 | `String`               | Address to use as default sender.                                                            |
| `to`                   | `String`               | Target address or ENS name.                                                                  |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://legacy-docs.aragon.org/developers/tools/aragon-connect/api-reference/transactionrequest.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
